package com.logicbig.example;


import javax.swing.*;
import javax.swing.table.TableModel;
import java.awt.*;
import java.util.ArrayList;
import java.util.List;

public class ExampleMain {
    public static void main(String[] args) {
        JFrame frame = createFrame();
        ObjectTableModel<Employee> tableModel = new DisplayableObjectTableModel<>(Employee.class);
        tableModel.setObjectRows(getEmployees());
        JTable table = new JTable(tableModel);
        JScrollPane pane = new JScrollPane(table);
        frame.add(pane);
        frame.setLocationRelativeTo(null);
        frame.setVisible(true);
    }

    private static JFrame createFrame() {
        JFrame frame = new JFrame("JTable example");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setSize(new Dimension(600, 300));
        return frame;
    }

    public static List<Employee> getEmployees() {
        final List<Employee> list = new ArrayList<>();
        for (int i = 1; i <= 30; i++) {
            Employee e = new Employee();
            e.setName("name" + i);
            e.setPhone("phone" + i);
            e.setDept("dept" + i);
            e.setCellPhone("cell" + i);
            list.add(e);
        }
        return list;
    }
}